Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package make_xpi

## Functions
def | addZipTree
def | makeXpiFile
## Variables
| default = None)
dictionary | FirefoxPlatformMap
string | help = 'The product version'
string | install_rdf
| This install.rdf file is used when building a Firefox XPI file.
tuple | parser = OptionParser(usage = usage)
tuple | this_dir = os.path.split(sys.argv[0])
string | update_rdf
| This update.rdf file is used when building a Firefox XPI file.
string | usage

## Function Documentation

def make_xpi.addZipTree | ( |  | zip,
|  |  | sourceFile,
|  |  | zipName
| ) |  |

    Adds the sourceFile to the zip archive at the indicated name.
    If it is a directory, recursively adds all nested files as
    well.

def make_xpi.makeXpiFile | ( |  | ) |

    Creates a Firefox XPI file, based on the various platform
    version files.

## Variable Documentation

default = None)

dictionary FirefoxPlatformMap

Initial value:

    00001 {
    00002     'win32' : 'WINNT_x86-msvc',
    00003     'win64' : 'WINNT_x86_64-msvc',
    00004 #    'linux_i386' : 'Linux_x86-gcc3',
    00005 #    'linux_amd64' : 'Linux_x86_64-gcc3',
    00006 #    'linux_ppc' : 'Linux_ppc-gcc3',
    00007     'osx_i386' : 'Darwin_x86-gcc3',
    00008     'osx_amd64' : 'Darwin_x86_64-gcc3',
    00009     'osx_ppc' : 'Darwin_ppc-gcc3',
    00010     'freebsd_i386' : 'FreeBSD_x86-gcc3',
    00011     'freebsd_amd64' : 'FreeBSD_x86_64-gcc3',
    00012     }

string help = 'The product version'

string install_rdf

Initial value:

    00001 """<?xml version="1.0"?>
    00002 <RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
    00003   <Description about="urn:mozilla:install-manifest">
    00004     <em:id>%(package_id)s</em:id>
    00005     <em:unpack>true</em:unpack>
    00006     <em:name>Panda3D Game Engine Plug-In</em:name>
    00007     <em:description>Runs 3-D games and interactive applets</em:description>
    00008     <em:version>%(version)s</em:version>
    00009     <em:targetApplication>
    00010       <Description>
    00011         <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
    00012         <em:minVersion>3.0</em:minVersion>
    00013         <em:maxVersion>*</em:maxVersion>
    00014       </Description>
    00015     </em:targetApplication>
    00016     <em:homepageURL>http://www.panda3d.org/</em:homepageURL>
    00017     <em:updateURL>%(host_url)s/plugin/firefox/update.rdf</em:updateURL>
    00018   </Description>
    00019 </RDF>
    00020 """

This install.rdf file is used when building a Firefox XPI file.

tuple parser = OptionParser(usage = usage)

tuple this_dir = os.path.split(sys.argv[0])

string update_rdf

Initial value:

    00001 """<?xml version="1.0"?>
    00002 <RDF:RDF xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
    00003          xmlns:em="http://www.mozilla.org/2004/em-rdf#">
    00004
    00005   <RDF:Description about="urn:mozilla:extension:%(package_id)s">
    00006     <em:updates>
    00007       <RDF:Seq>
    00008         <RDF:li>
    00009           <RDF:Description>
    00010             <em:version>%(version)s</em:version>
    00011             <em:targetApplication>
    00012               <RDF:Description>
    00013                 <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
    00014                 <em:minVersion>3.0</em:minVersion>
    00015                 <em:maxVersion>*</em:maxVersion>
    00016                 <em:updateLink>%(host_url)s/plugin/firefox/nppanda3d.xpi</em:updateLink>
    00017                 <em:updateHash>sha1:%(xpi_hash)s</em:updateHash>
    00018               </RDF:Description>
    00019             </em:targetApplication>
    00020           </RDF:Description>
    00021         </RDF:li>
    00022       </RDF:Seq>
    00023     </em:updates>
    00024   </RDF:Description>
    00025 </RDF:RDF>
    00026 """

This update.rdf file is used when building a Firefox XPI file.

string usage

Initial value:

    00001 """
    00002 This command creates a Firefox XPI installer for the Panda3D Firefox
    00003 plugin.  Also see make_installer.py.
    00004
    00005   %prog [opts]"""

All Classes Namespaces Functions Variables Enumerations Enumerator Properties